Subject: Re: [PATCH 09/11] ice: implement dpll interface to control cgu

From: Jakub Kicinski <[email-masked]>
Date: Tue, 25 Jul 2023 15:49:58 -0700

On Fri, 21 Jul 2023 14:02:08 +0200 Jiri Pirko wrote:
> So it is not a mode! Mode is either "automatic" or "manual". Then we
> have a state to indicate the state of the state machine (unlocked, locked,
> holdover, holdover-acq). So what you seek is a way for the user to
> expliticly set the state to "unlocked" and reset of the state machine.

+1 for mixing the state machine and config.
Maybe a compromise would be to rename the config mode?
Detached? Standalone?

> Please don't mix config and state. I think we untangled this in the past
> :/
> 
> Perhaps you just need an extra cmd like DPLL_CMD_DEVICE_STATE_RESET cmd
> to hit this button.